Skip to main content
GET
/
v1
/
credits
List credit transactions
curl --request GET \
  --url https://vcm-fyi-api.fly.dev/v1/credits/ \
  --header 'X-API-KEY: <api-key>'
{
  "pagination": {
    "total_entries": 123,
    "current_page": 123,
    "total_pages": 123,
    "next_page": "<string>"
  },
  "data": [
    {
      "quantity": 123,
      "vintage": 123,
      "transaction_date": "2023-12-25",
      "transaction_type": "<string>",
      "retirement_account": "<string>",
      "retirement_beneficiary": "<string>",
      "retirement_reason": "<string>",
      "retirement_note": "<string>",
      "retirement_beneficiary_harmonized": "<string>",
      "id": 123,
      "projects": [
        {
          "project_id": "<string>",
          "category": "<string>",
          "project_type": "<string>"
        }
      ],
      "sdg_goals": [
        123
      ],
      "certifications": [
        "<string>"
      ]
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

project_id
string[] | null

Project ID

sort
string[]

List of sorting parameters in the format field_name or +field_name for ascending order or -field_name for descending order.

current_page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:100

Items per page

Required range: 1 <= x <= 200
registry
enum<string>[] | null

Registry name

Available options:
verra,
gold-standard,
american-carbon-registry,
climate-action-reserve,
art-trees,
isometric,
puro-earth,
plan-vivo,
none
country
string[] | null

Country name

protocol
string[] | null

Protocol name

category
string[] | null

Category name

is_compliance
boolean | null

Whether project is an ARB project

listed_at_from

Format: YYYY-MM-DD

listed_at_to

Format: YYYY-MM-DD

issued_min
integer | null

Minimum number of issued credits

issued_max
integer | null

Maximum number of issued credits

retired_min
integer | null

Minimum number of retired credits

retired_max
integer | null

Maximum number of retired credits

project_type
string[] | null

Project type

proponent
string[] | null

Project proponent/developer name

sdg_goals
integer[] | null

UN SDG goals (1-17). Multiple values = AND filter (must have ALL selected goals)

certifications
string[] | null

Specific certification labels (e.g., ccb-gold, ccb-biodiversity-gold, corsia). Multiple values = OR filter

corc_durability
string[] | null

Puro.earth CORC durability (100+ or 1000+). Multiple values = OR filter

has_ccb
boolean | null

Has CCB (Climate, Community & Biodiversity) certification

has_icvcm_ccp
boolean | null

Has ICVCM Core Carbon Principles certification

has_corsia
boolean | null

CORSIA eligible

has_sdvista
boolean | null

Has SD VISta certification

has_social_carbon
boolean | null

Has Social Carbon certification

article6_authorized
boolean | null

Authorized under Paris Agreement Article 6

article6_authorization_types
string[] | null

Article 6 authorization types: NDC Use, Intl mitigation purposes, Other purposes

transaction_type
string[] | null

Transaction type

vintage
integer[] | null

Vintage

transaction_date_from

Format: YYYY-MM-DD

transaction_date_to

Format: YYYY-MM-DD

quantity_min
integer | null

Minimum transaction quantity

quantity_max
integer | null

Maximum transaction quantity

beneficiary_search
string | null

Case insensitive search string. Currently searches on specified beneficiary_search_fields only.

beneficiary_search_fields
string[]

Beneficiary fields to search in. Valid fields are: retirement_beneficiary_harmonized, retirement_beneficiary, retirement_beneficiary_account, retirement_beneficiary_note, retirement_beneficiary_reason

Response

Paginated list of credit transactions with project metadata

pagination
Pagination · object
required
data
CreditWithCategory · object
required